.layout-root {
  height: 100vh;
  display: flex;
  gap: var(--tui-height-xs);

  .side {
    position: fixed;
    display: flex;
    flex-direction: column;
    padding: 0;
    background: rgba(255,255,255,0.7);
    backdrop-filter: blur(2px);
    gap: var(--tui-padding-s);
    top:0;
    left:0;
    bottom: 0;

    .logo-wrapper, .nav {
      padding: var(--tui-padding-l) var(--tui-padding-l) var(--tui-padding-l) var(--tui-padding-m);
    }

    .logo-wrapper {
      display: flex;
      gap: var(--tui-padding-s);
      align-items: center;

      .logo {
        border-radius: var(--tui-radius-m);
      }

      .logo-text {
        display: flex;
        flex-direction: column;

        b {
          color: var(--tui-primary);

        }
      }
    }

    .nav {
      display: flex;
      flex-direction: column;
      gap: var(--tui-padding-l);
      flex: 1;
      align-self: center;

      a {
        text-decoration: none;
        font-weight: bold;
        font: var(--tui-font-text-s);
        color: var(--tui-base-08);
        font-weight: bold;
        padding: var(--tui-padding-m);
        display: block;
        border-radius: var(--tui-radius-s);

        &.active,
        &:hover {
          background: var(--tui-base-03);
        }
      }
    }

    .nav-footer {
      background: var(--tui-base-01);
      padding: var(--tui-padding-l);

      display: flex;
      gap: var(--tui-padding-l);
      align-items: center;

     a {
       color: var(--tui-primary);
     }

    }
  }

  .main-content {
    padding: var(--tui-height-xs);
    flex: 1;
    display: flex;
    flex-direction: column;
    margin: 0 0 0 18rem;
  }
}
